Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.tabbedpane
Interface TabImageRenderer

All Known Implementing Classes:
  DefaultTabImageRenderer

    public interface TabImageRenderer

`TabImageRenderer` is an interface for producing "tab images" within a TabbedPane.

Method Summary
`Color` | `getImageBorderColor()` This is called the indicate the color of any border around the image.
`int` | `getImageBorderWidth()` This is called the indicate the width of any border around the image.
`ImageReference` | `getLeadInImage(TabbedPane tp)` This returns a "lead in" image that will be place to the left of all tab images.
`ImageReference` | `getLeadOutImage(TabbedPane tp)` This returns a "lead out" image that will be place to the right of all tab images.
`ImageReference` | `getTabImage(TabbedPane tp, int index, Component tabComponent, boolean isSelected)` This returns an ImageReference to be used as the tab's representation.

Method Detail

### getLeadInImage

    ImageReference getLeadInImage(TabbedPane tp)

  This returns a "lead in" image that will be place to the left of all tab images. If there is no lead in image, then this method should return null.

  Parameters:
    `tp` - the TabbedPane in question
  Returns:
    the lead in image or null if there isnt one

### getLeadOutImage

    ImageReference getLeadOutImage(TabbedPane tp)

  This returns a "lead out" image that will be place to the right of all tab images. If there is no lead out image, then this method should return null.

  Parameters:
    `tp` - the TabbedPane in question
  Returns:
    the lead out image or null if there isnt one

### getTabImage

    ImageReference getTabImage(TabbedPane tp,
                               int index,
                               Component tabComponent,
                               boolean isSelected)

  This returns an ImageReference to be used as the tab's representation.

  This MUST NOT be null since the TabbedPane requires an image if a TabImageRenderer is in use.

  Parameters:
    `tp` - the TabbedPane in question
    `index` - - the index of the tab
    `tabComponent` - - the component that represents the tab at `index`
    `isSelected` - - true if the tab is the selected one
  Returns:
    the `ImageReference` to use as the tab image. This must NOT be null.

### getImageBorderWidth

    int getImageBorderWidth()

  This is called the indicate the width of any border around the image. This is used by the TabbedPane to decide whether to place a 3 sided border under the provided images.

  Returns:
    the width of any border around the images. Can be zero!

### getImageBorderColor

    Color getImageBorderColor()

  This is called the indicate the color of any border around the image. This is used by the TabbedPane to decide whether to place a 3 sided border under the provided images.

  Returns:
    the color of any border around the images. Can be null!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD